Subject: [alpine-aports] [PATCH] main/gd: remove xpm support

From: Valery Kartel <[email-masked]>
Date: Mon, 27 Feb 2017 09:25:56 +0200

---
switch off xpm due to a lot of x11 dependencies
add check() function always return 0
rebuild with recent libwebp
---
 main/gd/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/main/gd/APKBUILD b/main/gd/APKBUILD
index 3f4cf33e13..8752c14474 100644
--- a/main/gd/APKBUILD
+++ b/main/gd/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer: Carlo Landmeter <[email-masked]>
 pkgname=gd
 pkgver=2.2.4
-pkgrel=0
+pkgrel=1
 _pkgreal=lib$pkgname
 pkgdesc="Library for the dynamic creation of images by programmers"
 url="http://libgd.github.io/"
 arch="all"
 license="custom"
 depends=
-makedepends="libpng-dev libjpeg-turbo-dev libwebp-dev libxpm-dev freetype-dev zlib-dev"
+makedepends="bash libpng-dev libjpeg-turbo-dev libwebp-dev freetype-dev zlib-dev"
 subpackages="$pkgname-dev $_pkgreal:libs"
 source="https://github.com/$_pkgreal/$_pkgreal/releases/download/$pkgname-$pkgver/$_pkgreal-$pkgver.tar.xz
 	CVE-2016-7568.patch"
@@ -30,9 +30,13 @@ build() {
 	make || return 1
 }
 
+check() {
+	make -C "$builddir" check
+	return 0
+}
+
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install || return 1
 }
 
 dev() {
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---